var gaze = require('gaze')
var coffee = require('coffee-script')
var fs = require('fs')
var path = require('path')
process.on('message', function(m) {
    gaze(m, function() {
        this.on('changed', function(filepath) {
            var content = '',
                jsText = '',
                dirname = path.dirname(filepath),
                filename = path.basename(filepath),
                extname = path.extname(filename),
                jsFileName = filename.replace(new RegExp('' + extname + '$', 'g'), '.js'),
                jsFilePath = path.resolve(dirname, jsFileName);

            var flag = true;
            try {
                content = fs.readFileSync(filepath, 'utf8')
                jsText = coffee.compile(content, {
                    bare: true
                });
            } catch(e) {
                console.log('error: ', e)
                process.send({
                    type: 'error',
                    msg: JSON.stringify(e)
                });
                flag = false
            }
            if(flag) {
                fs.writeFile(jsFilePath, jsText, function(err) {
                    process.send({
                        type:'success',
                        msg: filepath+' is saved to '+jsFilePath
                    });
                });
            }
           
        });
    });
})